#include <iostream>

using namespace std;
int niz[20000];

int main()
{
    int n;
    cin >> n;
    for(int i = 0; i < n; i++) cin >> niz[i];
    //unosi se sortiran niz

    int x;
    //program treba da vrati da/ne, ako se x nalazi unutar niza

    int l = 0;
    int r = n-1;
    while(l < r)
    {
        if (n > i) cout << i - n;
        else cout << n - i;
    }

    return 0;
}